<h1 mat-dialog-title>Select an app</h1>
<div mat-dialog-content>
  <mat-form-field appearance="fill">
    <mat-label>App from your app store</mat-label>
    <mat-select [(value)]="data.appId">
      <mat-option [value]=""></mat-option>
     <mat-option [value]="i" *ngFor="let item of [].constructor(data.apps.length); let i = index">{{  data.apps[i] }}</mat-option>
    </mat-select>
  </mat-form-field>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">Cancel</button>
  <button mat-button [mat-dialog-close]="data" cdkFocusInitial>Proceed</button>
</div>
